diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/wp-cache.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/wp-cache.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/wp-cache.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/wp-cache.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 1602,1611 ****
  
  	if ( isset( $_POST[ 'cache_gc_email_me' ] ) && $valid_nonce ) {
  		$cache_gc_email_me = 1;
! 		wp_cache_replace_line('^ *\$cache_gc_email_me', "\$cache_gc_email_me = $cache_gc_email_me;", $wp_cache_config_file); 
  	} elseif ( $valid_nonce ) {
  		$cache_gc_email_me = 0;
! 		wp_cache_replace_line('^ *\$cache_gc_email_me', "\$cache_gc_email_me = $cache_gc_email_me;", $wp_cache_config_file); 
  	}
  	if ( isset( $_POST[ 'cache_schedule_type' ] ) && $_POST[ 'cache_schedule_type' ] == 'interval' && isset( $_POST['cache_time_interval'] ) && $valid_nonce ) {
  		wp_clear_scheduled_hook( 'wp_cache_gc' );
--- 1598,1607 ----
  
  	if ( isset( $_POST[ 'cache_gc_email_me' ] ) && $valid_nonce ) {
  		$cache_gc_email_me = 1;
! 		wp_cache_replace_line('^ *\$cache_gc_email_me', "\$cache_gc_email_me = $cache_gc_email_me;", $wp_cache_config_file);
  	} elseif ( $valid_nonce ) {
  		$cache_gc_email_me = 0;
! 		wp_cache_replace_line('^ *\$cache_gc_email_me', "\$cache_gc_email_me = $cache_gc_email_me;", $wp_cache_config_file);
  	}
  	if ( isset( $_POST[ 'cache_schedule_type' ] ) && $_POST[ 'cache_schedule_type' ] == 'interval' && isset( $_POST['cache_time_interval'] ) && $valid_nonce ) {
  		wp_clear_scheduled_hook( 'wp_cache_gc' );
***************
*** 1619,1628 ****
  	} elseif ( $valid_nonce ) { // clock
  		wp_clear_scheduled_hook( 'wp_cache_gc' );
  		$cache_schedule_type = 'time';
! 		if ( $_POST[ 'cache_scheduled_time' ] == '' )
  			$_POST[ 'cache_scheduled_time' ] = '00:00';
  		$cache_scheduled_time = $_POST[ 'cache_scheduled_time' ];
  		$schedules = wp_get_schedules();
  		if ( isset( $schedules[ $_POST[ 'cache_schedule_interval' ] ] ) )
  			$cache_schedule_interval = $_POST[ 'cache_schedule_interval' ];
  		wp_cache_replace_line('^ *\$cache_schedule_type', "\$cache_schedule_type = '$cache_schedule_type';", $wp_cache_config_file);
--- 1615,1626 ----
  	} elseif ( $valid_nonce ) { // clock
  		wp_clear_scheduled_hook( 'wp_cache_gc' );
  		$cache_schedule_type = 'time';
! 		if ( !isset( $_POST[ 'cache_scheduled_time' ] ) || $_POST[ 'cache_scheduled_time' ] == '' )
  			$_POST[ 'cache_scheduled_time' ] = '00:00';
  		$cache_scheduled_time = $_POST[ 'cache_scheduled_time' ];
  		$schedules = wp_get_schedules();
+ 		if ( !isset( $cache_schedule_interval ) )
+ 			$cache_schedule_interval = 'daily';
  		if ( isset( $schedules[ $_POST[ 'cache_schedule_interval' ] ] ) )
  			$cache_schedule_interval = $_POST[ 'cache_schedule_interval' ];
  		wp_cache_replace_line('^ *\$cache_schedule_type', "\$cache_schedule_type = '$cache_schedule_type';", $wp_cache_config_file);
***************
*** 1630,1636 ****
  		wp_cache_replace_line('^ *\$cache_scheduled_time', "\$cache_scheduled_time = '$cache_scheduled_time';", $wp_cache_config_file);
  		wp_schedule_event( strtotime( $cache_scheduled_time ), $cache_schedule_interval, 'wp_cache_gc' );
  	}
! 	?><fieldset class="options"> 
  	<a name='expirytime'></a>
  	<h3><?php _e( 'Expiry Time &amp; Garbage Collection', 'wp-super-cache' ); ?></h3><?php
  
--- 1628,1634 ----
  		wp_cache_replace_line('^ *\$cache_scheduled_time', "\$cache_scheduled_time = '$cache_scheduled_time';", $wp_cache_config_file);
  		wp_schedule_event( strtotime( $cache_scheduled_time ), $cache_schedule_interval, 'wp_cache_gc' );
  	}
! 	?><fieldset class="options">
  	<a name='expirytime'></a>
  	<h3><?php _e( 'Expiry Time &amp; Garbage Collection', 'wp-super-cache' ); ?></h3><?php
  
***************
*** 1696,1702 ****
  	echo "</ol>";
  	echo "<p>" . __( 'Checking for and deleting expired files is expensive, but it&#8217;s expensive leaving them there too. On a very busy site you should set the expiry time to <em>600 seconds</em>. Experiment with different values and visit this page to see how many expired files remain at different times during the day. If you are using legacy caching aim to have less than 500 cached files if possible. You can have many times more cached files when using mod_rewrite or PHP caching.', 'wp-super-cache' ) . "</p>";
  	echo "<p>" . __( 'Set the expiry time to 0 seconds to disable garbage collection.', 'wp-super-cache' ) . "</p>";
! 	echo '<div class="submit"><input type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Change Expiration', 'wp-super-cache' ) . ' &raquo;" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  	?></fieldset><?php
--- 1694,1700 ----
  	echo "</ol>";
  	echo "<p>" . __( 'Checking for and deleting expired files is expensive, but it&#8217;s expensive leaving them there too. On a very busy site you should set the expiry time to <em>600 seconds</em>. Experiment with different values and visit this page to see how many expired files remain at different times during the day. If you are using legacy caching aim to have less than 500 cached files if possible. You can have many times more cached files when using mod_rewrite or PHP caching.', 'wp-super-cache' ) . "</p>";
  	echo "<p>" . __( 'Set the expiry time to 0 seconds to disable garbage collection.', 'wp-super-cache' ) . "</p>";
! 	echo '<div class="submit"><input class="button-primary" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Change Expiration', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  	?></fieldset><?php
***************
*** 1748,1754 ****
  		echo esc_html( $ua ) . "\n";
  	}
  	echo '</textarea> ';
! 	echo '<div class="submit"><input type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Save UA Strings', 'wp-super-cache' ) . ' &raquo;" /></div>';
  	wp_nonce_field('wp-cache');
  	echo '</form>';
  	echo "</fieldset>\n";
--- 1746,1752 ----
  		echo esc_html( $ua ) . "\n";
  	}
  	echo '</textarea> ';
! 	echo '<div class="submit"><input class="button-primary" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Save UA Strings', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	echo '</form>';
  	echo "</fieldset>\n";
***************
*** 1785,1791 ****
  	echo '<label><input type="checkbox" value="1" name="wp_cache_pages[search]" ' . checked( 1, $wp_cache_pages[ 'search' ], false ) . ' /> ' . __( 'Search Pages', 'wp-super-cache' ) . ' (is_search)</label><br />';
  	echo '<label><input type="checkbox" value="1" name="wp_cache_pages[author]" ' . checked( 1, $wp_cache_pages[ 'author' ], false ) . ' /> ' . __( 'Author Pages', 'wp-super-cache' ) . ' (is_author)</label><br />';
  
! 	echo '<div class="submit"><input type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Save' ) . ' &raquo;" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  
--- 1783,1789 ----
  	echo '<label><input type="checkbox" value="1" name="wp_cache_pages[search]" ' . checked( 1, $wp_cache_pages[ 'search' ], false ) . ' /> ' . __( 'Search Pages', 'wp-super-cache' ) . ' (is_search)</label><br />';
  	echo '<label><input type="checkbox" value="1" name="wp_cache_pages[author]" ' . checked( 1, $wp_cache_pages[ 'author' ], false ) . ' /> ' . __( 'Author Pages', 'wp-super-cache' ) . ' (is_author)</label><br />';
  
! 	echo '<div class="submit"><input class="button-primary" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Save' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  
***************
*** 1808,1814 ****
  		echo esc_html( $file ) . "\n";
  	}
  	echo '</textarea> ';
! 	echo '<div class="submit"><input type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Save Strings', 'wp-super-cache' ) . ' &raquo;" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  }
--- 1806,1812 ----
  		echo esc_html( $file ) . "\n";
  	}
  	echo '</textarea> ';
! 	echo '<div class="submit"><input class="button-primary" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Save Strings', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  }
***************
*** 1830,1836 ****
  		echo esc_html($file) . "\n";
  	}
  	echo '</textarea> ';
! 	echo '<div class="submit"><input type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Save Files', 'wp-super-cache' ) . ' &raquo;" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  }
--- 1828,1834 ----
  		echo esc_html($file) . "\n";
  	}
  	echo '</textarea> ';
! 	echo '<div class="submit"><input class="button-primary" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Save Files', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  }
***************
*** 1842,1847 ****
--- 1840,1847 ----
  	if ( false == isset( $wp_super_cache_comments ) )
  		$wp_super_cache_comments = 1;
  	if ( isset( $_POST[ 'wp_cache_debug' ] ) && $valid_nonce ) {
+ 		if ( !isset( $_POST[ 'wp_super_cache_debug' ] ) )
+ 			$_POST[ 'wp_super_cache_debug' ] = 0;
  		$wp_super_cache_debug = intval( $_POST[ 'wp_super_cache_debug' ] );
  		wp_cache_replace_line('^ *\$wp_super_cache_debug', "\$wp_super_cache_debug = '$wp_super_cache_debug';", $wp_cache_config_file);
  		if ( $wp_super_cache_debug && ( ( isset( $wp_cache_debug_log ) && $wp_cache_debug_log == '' ) || !isset( $wp_cache_debug_log ) ) ) {
***************
*** 1850,1868 ****
  			$wp_cache_debug_log = "";
  		}
  		wp_cache_replace_line('^ *\$wp_cache_debug_log', "\$wp_cache_debug_log = '$wp_cache_debug_log';", $wp_cache_config_file);
! 		$wp_super_cache_comments = (int)$_POST[ 'wp_super_cache_comments' ];
  		wp_cache_replace_line('^ *\$wp_super_cache_comments', "\$wp_super_cache_comments = '$wp_super_cache_comments';", $wp_cache_config_file);
  		$wp_cache_debug_ip = esc_html( $_POST[ 'wp_cache_debug_ip' ] );
  		wp_cache_replace_line('^ *\$wp_cache_debug_ip', "\$wp_cache_debug_ip = '$wp_cache_debug_ip';", $wp_cache_config_file);
! 		$wp_super_cache_front_page_check = (int)$_POST[ 'wp_super_cache_front_page_check' ];
  		wp_cache_replace_line('^ *\$wp_super_cache_front_page_check', "\$wp_super_cache_front_page_check = '$wp_super_cache_front_page_check';", $wp_cache_config_file);
! 		$wp_super_cache_front_page_clear = (int)$_POST[ 'wp_super_cache_front_page_clear' ];
  		wp_cache_replace_line('^ *\$wp_super_cache_front_page_clear', "\$wp_super_cache_front_page_clear = '$wp_super_cache_front_page_clear';", $wp_cache_config_file);
  		$wp_super_cache_front_page_text = esc_html( $_POST[ 'wp_super_cache_front_page_text' ] );
  		wp_cache_replace_line('^ *\$wp_super_cache_front_page_text', "\$wp_super_cache_front_page_text = '$wp_super_cache_front_page_text';", $wp_cache_config_file);
! 		$wp_super_cache_front_page_notification = (int)$_POST[ 'wp_super_cache_front_page_notification' ];
  		wp_cache_replace_line('^ *\$wp_super_cache_front_page_notification', "\$wp_super_cache_front_page_notification = '$wp_super_cache_front_page_notification';", $wp_cache_config_file);
! 		if ( isset( $wp_super_cache_front_page_check ) && $wp_super_cache_front_page_check == 1 && !wp_next_scheduled( 'wp_cache_check_site_hook' ) ) {
  			wp_schedule_single_event( time() + 360 , 'wp_cache_check_site_hook' );
  			if ( isset( $GLOBALS[ 'wp_super_cache_debug' ] ) && $GLOBALS[ 'wp_super_cache_debug' ] ) wp_cache_debug( 'scheduled wp_cache_check_site_hook for 360 seconds time.', 2 );
  		}
--- 1850,1868 ----
  			$wp_cache_debug_log = "";
  		}
  		wp_cache_replace_line('^ *\$wp_cache_debug_log', "\$wp_cache_debug_log = '$wp_cache_debug_log';", $wp_cache_config_file);
! 		$wp_super_cache_comments = isset( $_POST[ 'wp_super_cache_comments' ] ) ? 1 : 0;
  		wp_cache_replace_line('^ *\$wp_super_cache_comments', "\$wp_super_cache_comments = '$wp_super_cache_comments';", $wp_cache_config_file);
  		$wp_cache_debug_ip = esc_html( $_POST[ 'wp_cache_debug_ip' ] );
  		wp_cache_replace_line('^ *\$wp_cache_debug_ip', "\$wp_cache_debug_ip = '$wp_cache_debug_ip';", $wp_cache_config_file);
! 		$wp_super_cache_front_page_check = isset( $_POST[ 'wp_super_cache_front_page_check' ] ) ? 1 : 0;
  		wp_cache_replace_line('^ *\$wp_super_cache_front_page_check', "\$wp_super_cache_front_page_check = '$wp_super_cache_front_page_check';", $wp_cache_config_file);
! 		$wp_super_cache_front_page_clear = isset( $_POST[ 'wp_super_cache_front_page_clear' ] ) ? 1 : 0;
  		wp_cache_replace_line('^ *\$wp_super_cache_front_page_clear', "\$wp_super_cache_front_page_clear = '$wp_super_cache_front_page_clear';", $wp_cache_config_file);
  		$wp_super_cache_front_page_text = esc_html( $_POST[ 'wp_super_cache_front_page_text' ] );
  		wp_cache_replace_line('^ *\$wp_super_cache_front_page_text', "\$wp_super_cache_front_page_text = '$wp_super_cache_front_page_text';", $wp_cache_config_file);
! 		$wp_super_cache_front_page_notification = isset( $_POST[ 'wp_super_cache_front_page_notification' ] ) ? 1 : 0;
  		wp_cache_replace_line('^ *\$wp_super_cache_front_page_notification', "\$wp_super_cache_front_page_notification = '$wp_super_cache_front_page_notification';", $wp_cache_config_file);
! 		if ( $wp_super_cache_front_page_check == 1 && !wp_next_scheduled( 'wp_cache_check_site_hook' ) ) {
  			wp_schedule_single_event( time() + 360 , 'wp_cache_check_site_hook' );
  			if ( isset( $GLOBALS[ 'wp_super_cache_debug' ] ) && $GLOBALS[ 'wp_super_cache_debug' ] ) wp_cache_debug( 'scheduled wp_cache_check_site_hook for 360 seconds time.', 2 );
  		}
***************
*** 1894,1903 ****
  	echo "<tr><td valign='top'>" . __( 'Front page text', 'wp-super-cache' ) . "</td><td> <input type='text' size='30' name='wp_super_cache_front_page_text' value='{$wp_super_cache_front_page_text}' /> (" . __( 'Text to search for on your front page. If this text is missing the cache will be cleared. Leave blank to disable.', 'wp-super-cache' ) . ")</td></tr>";
  	echo "<tr><td valign='top' colspan='2'><input type='checkbox' name='wp_super_cache_front_page_clear' value='1' " . checked( 1, $wp_super_cache_front_page_clear, false ) . " /> " . __( 'Clear cache on error.', 'wp-super-cache' ) . "</td></tr>";
  	echo "<tr><td valign='top' colspan='2'><input type='checkbox' name='wp_super_cache_front_page_notification' value='1' " . checked( 1, $wp_super_cache_front_page_notification, false ) . " /> " . __( 'Email the blog admin when checks are made. (useful for testing)', 'wp-super-cache' ) . "</td></tr>";
! 	
  	echo "</table>\n";
  	}
! 	echo '<div class="submit"><input type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Save', 'wp-super-cache' ) . ' &raquo;" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  	echo '</fieldset>';
--- 1894,1903 ----
  	echo "<tr><td valign='top'>" . __( 'Front page text', 'wp-super-cache' ) . "</td><td> <input type='text' size='30' name='wp_super_cache_front_page_text' value='{$wp_super_cache_front_page_text}' /> (" . __( 'Text to search for on your front page. If this text is missing the cache will be cleared. Leave blank to disable.', 'wp-super-cache' ) . ")</td></tr>";
  	echo "<tr><td valign='top' colspan='2'><input type='checkbox' name='wp_super_cache_front_page_clear' value='1' " . checked( 1, $wp_super_cache_front_page_clear, false ) . " /> " . __( 'Clear cache on error.', 'wp-super-cache' ) . "</td></tr>";
  	echo "<tr><td valign='top' colspan='2'><input type='checkbox' name='wp_super_cache_front_page_notification' value='1' " . checked( 1, $wp_super_cache_front_page_notification, false ) . " /> " . __( 'Email the blog admin when checks are made. (useful for testing)', 'wp-super-cache' ) . "</td></tr>";
! 
  	echo "</table>\n";
  	}
! 	echo '<div class="submit"><input class="button-primary" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Save', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  	echo '</fieldset>';
***************
*** 2116,2122 ****
  
  function wp_cache_check_link() {
  	global $wp_cache_link, $wp_cache_file;
!  
   	$ret = true;
  	if( file_exists($wp_cache_link) ) {
  		$file = file_get_contents( $wp_cache_link );
--- 2116,2122 ----
  
  function wp_cache_check_link() {
  	global $wp_cache_link, $wp_cache_file;
! 
   	$ret = true;
  	if( file_exists($wp_cache_link) ) {
  		$file = file_get_contents( $wp_cache_link );
***************
*** 2169,2175 ****
  		}
  		return false;
  	}  else {
! 		echo "<div style='border: 1px solid #333; background: #ffffaa; padding: 2px;'>" . __( '<h3>WP_CACHE constant added to wp-config.php</h3><p>If you continue to see this warning message please see point 5 of the <a href="http://wordpress.org/extend/plugins/wp-super-cache/faq/">Troubleshooting Guide</a>. The WP_CACHE line must be moved up.', 'wp-super-cache' ) . "</p></div>";
  	}
  	return true;
  }
--- 2169,2175 ----
  		}
  		return false;
  	}  else {
! 		echo "<div style='border: 1px solid #333; background: #ffffaa; padding: 2px;'>" . __( '<h3>WP_CACHE constant added to wp-config.php</h3><p>If you continue to see this warning message please see point 5 of the <a href="http://wordpress.org/plugins/wp-super-cache/faq/">Troubleshooting Guide</a>. The WP_CACHE line must be moved up.', 'wp-super-cache' ) . "</p></div>";
  	}
  	return true;
  }
***************
*** 2212,2218 ****
  	$count = 0;
  	$expired = 0;
  	$now = time();
! 	if ( ($handle = @opendir( $blog_cache_dir . 'meta/' )) ) { 
  		$wp_cache_fsize = 0;
  		if ( $valid_nonce && isset( $_GET[ 'action' ] ) && $_GET[ 'action' ] == 'deletewpcache' ) {
  			$deleteuri = preg_replace( '/[ <>\'\"\r\n\t\(\)]/', '', str_replace( '/index.php', '/', str_replace( '..', '', preg_replace("/(\?.*)?$/", '', base64_decode( $_GET[ 'uri' ] ) ) ) ) );
--- 2212,2218 ----
  	$count = 0;
  	$expired = 0;
  	$now = time();
! 	if ( ($handle = @opendir( $blog_cache_dir . 'meta/' )) ) {
  		$wp_cache_fsize = 0;
  		if ( $valid_nonce && isset( $_GET[ 'action' ] ) && $_GET[ 'action' ] == 'deletewpcache' ) {
  			$deleteuri = preg_replace( '/[ <>\'\"\r\n\t\(\)]/', '', str_replace( '/index.php', '/', str_replace( '..', '', preg_replace("/(\?.*)?$/", '', base64_decode( $_GET[ 'uri' ] ) ) ) ) );
***************
*** 2234,2244 ****
  			if ( preg_match("/^$file_prefix.*\.meta/", $file) ) {
  				$content_file = preg_replace("/meta$/", "html", $file);
  				$mtime = filemtime( $blog_cache_dir . 'meta/' . $file );
! 				if ( ! ( $fsize = @filesize( $blog_cache_dir . $content_file ) ) ) 
  					continue; // .meta does not exists
  
  				$age = $now - $mtime;
! 				if ( $valid_nonce && $_GET[ 'listfiles' ] ) {
  					$meta = unserialize( file_get_contents( $blog_cache_dir . 'meta/' . $file ) );
  					if ( $deleteuri != '' && $meta[ 'uri' ] == $deleteuri ) {
  						printf( __( "Deleting wp-cache file: <strong>%s</strong><br />", 'wp-super-cache' ), $deleteuri );
--- 2234,2244 ----
  			if ( preg_match("/^$file_prefix.*\.meta/", $file) ) {
  				$content_file = preg_replace("/meta$/", "html", $file);
  				$mtime = filemtime( $blog_cache_dir . 'meta/' . $file );
! 				if ( ! ( $fsize = @filesize( $blog_cache_dir . $content_file ) ) )
  					continue; // .meta does not exists
  
  				$age = $now - $mtime;
! 				if ( $valid_nonce && isset( $_GET[ 'listfiles' ] ) ) {
  					$meta = unserialize( file_get_contents( $blog_cache_dir . 'meta/' . $file ) );
  					if ( $deleteuri != '' && $meta[ 'uri' ] == $deleteuri ) {
  						printf( __( "Deleting wp-cache file: <strong>%s</strong><br />", 'wp-super-cache' ), $deleteuri );
***************
*** 2301,2307 ****
  			if ( $valid_nonce && $_GET[ 'listfiles' ] && $filem )
  				$sizes[ 'cached_list' ][ str_replace( $cache_path . 'supercache/' , '', $supercachedir ) ] = $now - $filem;
  		}
! 	} 
  	$sizes[ 'ts' ] = time();
  	$cache_stats = array( 'generated' => time(), 'supercache' => $sizes, 'wpcache' => array( 'cached' => $count, 'expired' => $expired, 'fsize' => $wp_cache_fsize ) );
  	update_option( 'supercache_stats', $cache_stats );
--- 2301,2307 ----
  			if ( $valid_nonce && $_GET[ 'listfiles' ] && $filem )
  				$sizes[ 'cached_list' ][ str_replace( $cache_path . 'supercache/' , '', $supercachedir ) ] = $now - $filem;
  		}
! 	}
  	$sizes[ 'ts' ] = time();
  	$cache_stats = array( 'generated' => time(), 'supercache' => $sizes, 'wpcache' => array( 'cached' => $count, 'expired' => $expired, 'fsize' => $wp_cache_fsize ) );
  	update_option( 'supercache_stats', $cache_stats );
***************
*** 2339,2345 ****
  		echo "<li>" . sprintf( __( '%s Expired Pages', 'wp-super-cache' ), intval( $cache_stats[ 'supercache' ][ 'expired' ] / $divisor ) ) . "</li></ul>";
  		if ( $valid_nonce && array_key_exists('listfiles', $_GET) && $_GET[ 'listfiles' ] ) {
  			echo "<div style='padding: 10px; border: 1px solid #333; height: 400px; width: 90%; overflow: auto'>";
! 			if ( is_array( $cached_list ) && !empty( $cached_list ) ) {
  				echo "<h4>" . __( 'Fresh WP-Cached Files', 'wp-super-cache' ) . "</h4>";
  				echo "<table class='widefat'><tr><th>#</th><th>" . __( 'URI', 'wp-super-cache' ) . "</th><th>" . __( 'Key', 'wp-super-cache' ) . "</th><th>" . __( 'Age', 'wp-super-cache' ) . "</th><th>" . __( 'Delete', 'wp-super-cache' ) . "</th></tr>";
  				$c = 1;
--- 2339,2345 ----
  		echo "<li>" . sprintf( __( '%s Expired Pages', 'wp-super-cache' ), intval( $cache_stats[ 'supercache' ][ 'expired' ] / $divisor ) ) . "</li></ul>";
  		if ( $valid_nonce && array_key_exists('listfiles', $_GET) && $_GET[ 'listfiles' ] ) {
  			echo "<div style='padding: 10px; border: 1px solid #333; height: 400px; width: 90%; overflow: auto'>";
! 			if ( isset( $cached_list ) && is_array( $cached_list ) && !empty( $cached_list ) ) {
  				echo "<h4>" . __( 'Fresh WP-Cached Files', 'wp-super-cache' ) . "</h4>";
  				echo "<table class='widefat'><tr><th>#</th><th>" . __( 'URI', 'wp-super-cache' ) . "</th><th>" . __( 'Key', 'wp-super-cache' ) . "</th><th>" . __( 'Age', 'wp-super-cache' ) . "</th><th>" . __( 'Delete', 'wp-super-cache' ) . "</th></tr>";
  				$c = 1;
***************
*** 2355,2361 ****
  				}
  				echo "</table>";
  			}
! 			if ( is_array( $expired_list ) && !empty( $expired_list ) ) {
  				echo "<h4>" . __( 'Stale WP-Cached Files', 'wp-super-cache' ) . "</h4>";
  				echo "<table class='widefat'><tr><th>#</th><th>" . __( 'URI', 'wp-super-cache' ) . "</th><th>" . __( 'Key', 'wp-super-cache' ) . "</th><th>" . __( 'Age', 'wp-super-cache' ) . "</th><th>" . __( 'Delete', 'wp-super-cache' ) . "</th></tr>";
  				$c = 1;
--- 2355,2361 ----
  				}
  				echo "</table>";
  			}
! 			if ( isset( $expired_list ) && is_array( $expired_list ) && !empty( $expired_list ) ) {
  				echo "<h4>" . __( 'Stale WP-Cached Files', 'wp-super-cache' ) . "</h4>";
  				echo "<table class='widefat'><tr><th>#</th><th>" . __( 'URI', 'wp-super-cache' ) . "</th><th>" . __( 'Key', 'wp-super-cache' ) . "</th><th>" . __( 'Age', 'wp-super-cache' ) . "</th><th>" . __( 'Delete', 'wp-super-cache' ) . "</th></tr>";
  				$c = 1;
***************
*** 2422,2440 ****
  
  	echo '<form name="wp_cache_content_expired" action="#listfiles" method="post">';
  	echo '<input type="hidden" name="wp_delete_expired" />';
! 	echo '<div class="submit" style="float:left"><input type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Delete Expired', 'wp-super-cache' ) . ' &raquo;" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  
  	echo '<form name="wp_cache_content_delete" action="#listfiles" method="post">';
  	echo '<input type="hidden" name="wp_delete_cache" />';
! 	echo '<div class="submit" style="float:left;margin-left:10px"><input id="deletepost" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Delete Cache', 'wp-super-cache' ) . ' &raquo;" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  	if ( ( defined( 'VHOST' ) || ( defined( 'WP_ALLOW_MULTISITE' ) && constant( 'WP_ALLOW_MULTISITE' ) == true ) ) && wpsupercache_site_admin() ) {
  		echo '<form name="wp_cache_content_delete" action="#listfiles" method="post">';
  		echo '<input type="hidden" name="wp_delete_all_cache" />';
! 		echo '<div class="submit" style="float:left;margin-left:10px"><input id="deleteallpost" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Delete Cache On All Blogs', 'wp-super-cache' ) . ' &raquo;" />';
  		wp_nonce_field('wp-cache');
  		echo "</form>\n";
  	}
--- 2422,2440 ----
  
  	echo '<form name="wp_cache_content_expired" action="#listfiles" method="post">';
  	echo '<input type="hidden" name="wp_delete_expired" />';
! 	echo '<div class="submit" style="float:left"><input class="button-primary" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Delete Expired', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  
  	echo '<form name="wp_cache_content_delete" action="#listfiles" method="post">';
  	echo '<input type="hidden" name="wp_delete_cache" />';
! 	echo '<div class="submit" style="float:left;margin-left:10px"><input id="deletepost" class="button-secondary" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Delete Cache', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	echo "</form>\n";
  	if ( ( defined( 'VHOST' ) || ( defined( 'WP_ALLOW_MULTISITE' ) && constant( 'WP_ALLOW_MULTISITE' ) == true ) ) && wpsupercache_site_admin() ) {
  		echo '<form name="wp_cache_content_delete" action="#listfiles" method="post">';
  		echo '<input type="hidden" name="wp_delete_all_cache" />';
! 		echo '<div class="submit" style="float:left;margin-left:10px"><input id="deleteallpost" class="button-secondary" type="submit" ' . SUBMITDISABLED . 'value="' . __( 'Delete Cache On All Blogs', 'wp-super-cache' ) . '" />';
  		wp_nonce_field('wp-cache');
  		echo "</form>\n";
  	}
***************
*** 2512,2518 ****
  
  function wp_cache_clean_legacy_files( $dir, $file_prefix ) {
  	global $wpdb;
! 	if ( $handle = @opendir( $dir . 'meta/' ) ) { 
  		while ( false !== ($file = readdir($handle))) {
  			if ( preg_match( "/^$file_prefix/", $file ) ) {
  				$meta = unserialize( file_get_contents( $dir . 'meta/' . $file ) );
--- 2512,2518 ----
  
  function wp_cache_clean_legacy_files( $dir, $file_prefix ) {
  	global $wpdb;
! 	if ( $handle = @opendir( $dir . 'meta/' ) ) {
  		while ( false !== ($file = readdir($handle))) {
  			if ( preg_match( "/^$file_prefix/", $file ) ) {
  				$meta = unserialize( file_get_contents( $dir . 'meta/' . $file ) );
***************
*** 2549,2555 ****
  
  	$expr = "/^$file_prefix/";
  	$now = time();
! 	if ( ($handle = @opendir( $blog_cache_dir )) ) { 
  		while ( false !== ($file = readdir($handle))) {
  			if ( preg_match( $expr, $file )  &&
  				( filemtime( $blog_cache_dir . $file ) + $cache_max_time ) <= $now ) {
--- 2549,2555 ----
  
  	$expr = "/^$file_prefix/";
  	$now = time();
! 	if ( ($handle = @opendir( $blog_cache_dir )) ) {
  		while ( false !== ($file = readdir($handle))) {
  			if ( preg_match( $expr, $file )  &&
  				( filemtime( $blog_cache_dir . $file ) + $cache_max_time ) <= $now ) {
***************
*** 2669,2675 ****
                          if ( !isset( $wp_super_cache_front_page_clear ) || ( isset( $wp_super_cache_front_page_clear ) && $wp_super_cache_front_page_clear == 0 ) ) {
                                  wp_mail( get_option( 'admin_email' ), sprintf( __( '[%s] Front page is gzipped! Please clear cache!', 'wp-super-cache' ), site_url() ), sprintf( __( "Please visit %s to clear the cache as the front page of your site is now downloading!", 'wp-super-cache' ), trailingslashit( site_url() ) . "wp-admin/options-general.php?page=wpsupercache" ) );
                          } else {
!                                 wp_cache_clear_cache();
                                  wp_mail( get_option( 'admin_email' ), sprintf( __( '[%s] Front page is gzipped! Cache Cleared!', 'wp-super-cache' ), site_url() ), sprintf( __( "The cache on your blog has been cleared because the front page of your site is now downloading. Please visit %s to verify the cache has been cleared.", 'wp-super-cache' ), trailingslashit( site_url() ) . "wp-admin/options-general.php?page=wpsupercache" ) );
                          }
                  }
--- 2669,2675 ----
                          if ( !isset( $wp_super_cache_front_page_clear ) || ( isset( $wp_super_cache_front_page_clear ) && $wp_super_cache_front_page_clear == 0 ) ) {
                                  wp_mail( get_option( 'admin_email' ), sprintf( __( '[%s] Front page is gzipped! Please clear cache!', 'wp-super-cache' ), site_url() ), sprintf( __( "Please visit %s to clear the cache as the front page of your site is now downloading!", 'wp-super-cache' ), trailingslashit( site_url() ) . "wp-admin/options-general.php?page=wpsupercache" ) );
                          } else {
!                                 wp_cache_clear_cache( get_current_blog_id() );
                                  wp_mail( get_option( 'admin_email' ), sprintf( __( '[%s] Front page is gzipped! Cache Cleared!', 'wp-super-cache' ), site_url() ), sprintf( __( "The cache on your blog has been cleared because the front page of your site is now downloading. Please visit %s to verify the cache has been cleared.", 'wp-super-cache' ), trailingslashit( site_url() ) . "wp-admin/options-general.php?page=wpsupercache" ) );
                          }
                  }
